%define major 1
%define libname %mklibname gl2ps %{major}
%define libname_virt    gl2ps
%define develname %mklibname gl2ps -d


Summary:        An OpenGL to PostScript printing library
Name:           gl2ps
Version:        1.3.8
Release:        %mkrel 3
License:        LGPLv2+ or GL2PS
Group:          System/Libraries
Source0:        http://www.geuz.org/gl2ps/src/%{name}-%{version}.tar.xz
Patch0:         %{name}-soversion.patch
Patch1:         %{name}-so-link-fix.patch
URL:            http://www.geuz.org/gl2ps/
#------------------------------------------
BuildRequires:  cmake
BuildRequires: %{_lib}freeglut-devel 
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}png-devel 
BuildRequires: mesa-devel 
BuildRequires: zlib1-devel 
#------------------------------------------

%description
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %{libname}
Summary: An OpenGL to PostScript printing library
Group:  System/Libraries
Provides: %{name} = %{version}-%{release}
Provides: %{libname_virt} = %{version}-%{release}

%description -n %libname
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %develname
Summary:        Header files for GL2PS library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       GL-devel
Provides:       gl2ps-devel = %{version}-%{release}


%description -n %develname
Header files for GL2PS library.

%prep
%setup -q -n %{name}-%{version}-source
%apply_patches

%build
%cmake
%make

%install
pushd ./build
%makeinstall_std
rm %{buildroot}%{_libdir}/libgl2ps.a

%files -n %libname
%doc COPYING.GL2PS COPYING.LGPL README.txt
%attr(755,root,root) %{_libdir}/libgl2ps.so.*

%files -n %develname
%doc gl2ps.pdf TODO.txt gl2psTest*.c
%{_libdir}/libgl2ps.so
%{_includedir}/gl2ps.h
%{_docdir}/gl2ps



%changelog
* Mon Mar 04 2019 tex - 1.3.8-3pclos2019
- rebuild against updates

* Wed Jun 24 2015 bb <bb> 1.3.8-2pclos2015
- adjust BR for pclos
- fix rpm group for development rpm

* Sat Jun 06 2015 gseaman <galen.seaman at comcast.net> 1.3.8-1gseaman2015
- first build from mga
